import 'package:flutter/material.dart';
import 'package:sendtrain/models/activity_model.dart';

class ActivityView extends StatelessWidget {
  const ActivityView({super.key, required this.activity});

  final ActivityModel activity;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      mainAxisAlignment: MainAxisAlignment.start,
      children: <Widget>[
        AppBar(
          centerTitle: true,
          title: Text(activity.title, style: const TextStyle(fontSize: 25)),
        ),
        Padding(
            padding:
                const EdgeInsets.only(top: 25, bottom: 10, left: 15, right: 15),
            child: Text(
                textAlign: TextAlign.center,
                style: const TextStyle(fontSize: 20),
                activity.description)),
        const Padding(
            padding: EdgeInsets.only(top: 25, bottom: 10),
            child: Text(
                style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold),
                'Actions:')),
      ],
    );
  }
}
